import { Queue } from "bullmq";
interface NotificationJobData {
    userIds: string[];
    channel: string;
    meta: any[];
    trackResponses?: boolean;
    trackingKey: string;
    delay?: number;
}
export declare class QueueManager {
    private static queues;
    static createQueue(queueName: string): Queue;
    static enqueueJob(queueName: string, jobName: string, jobData: NotificationJobData): Promise<void>;
}
export {};
